FROM openjdk:8-jdk AS builder
COPY . ./app
RUN apt-get update && apt-get -y install wget dpkg npm \
	&& npm install -g n && n 14.15.0 \
	&& wget  https://github.com/yarnpkg/yarn/releases/download/v1.22.11/yarn_1.22.11_all.deb \
	&&  dpkg -i yarn_1.22.11_all.deb
WORKDIR app/
RUN chmod +x gradlew && ./gradlew jar
#RUN java -jar devschool-front-app-server/build/libs/devschool-front-app-server-1.0.0.jar

FROM openjdk:8-jre-alpine
EXPOSE 8081
COPY --from=builder /app/devschool-front-app-server/build/libs/devschool-front-app-server-1.0.0.jar ./front-app.jar
ENTRYPOINT ["java", "-jar", "front-app.jar","-port=8081","-P:ktor.backend.port=8080","-P:ktor.backend.host=back","-P:ktor.backend.schema=http"]
#-port=8081 -P:ktor.backend.port=8080 -P:ktor.backend.host=back -P:ktor.backend.schema=http
